#include "colors.inc"
#include "textures.inc"
#include "tori.inc"

camera{
  location	<0,5,-20>
  look_at	<0,0,8>
  up		<0,1,0>
  right		<4/3,0,0>
}

height_field{tga "/scratch/mr/landscape2.tga" 
             translate<-.5,0,-.5> 
             water_level .2
             scale<300,16,200>
             translate<7,-8,10> 
             texture{Rust scale<5,2,1> rotate<3,4,5> }
             smooth 
             }

//ground plane 
plane{y,-1.5 finish{ reflection 0.6 } pigment{ rgb<0,0,0>}}

//sky sphere
sphere{<0,0,0>,20000 pigment{image_map {tga "/scratch/mr/oria.tga" 
                                        map_type 0}
                                        translate<-.5,-.5,0>
                                        scale<40000,40000,1> }
                     finish{Luminous} }

object{tori texture{Cherry_Wood scale<5,2,3> rotate <5,10,15>}
rotate<0,30,0> translate<7,0,10>}

sphere {<-3,10,8>,2 pigment { rgb<1,1,1> filter 0.9} 
         finish{ refraction 1 ior 1.5}
        }

sphere{<16,6,10>,2 pigment {rgb<1,1,1> filter 0.9}
         finish{ refraction 1 ior 1.5}
      }

sphere{<-10,4,4>,2 pigment{rgb<1,1,1> filter 0.9}
         finish{ refraction 1 ior 1.5}
      }

box{<-7,-2,-10>,<7,0,2> texture {White_Marble rotate <5,6,7> } rotate<0,30,0> translate<7,0,10> }

//cylinder{<0,.5,-4>,<0,8,-4>,1 texture {Clouds scale<0.5,1,0.5>}
//         rotate<0,30,0> translate<7,0,10> }

#declare gate = union{
                      triangle{<-5,0,0>,
                               <-5,10.25,0>,
                               <5,0,0>} 
                      triangle{<-5,10.25,0>,
                               <5,0,0>,
                               <5,10.25,0>} 
                     }

object{gate pigment {rgb<0,0,1>} 
            rotate<0,30,0> translate<7,0,10> 
                        finish{Luminous}}

light_source {<100,100,-100> color rgb<0.4,0.4,0.4>}

